This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 474252 - usbhid/usbcore causing 10 second lag when booting
usbhid/usbcore causing 10 second lag when booting
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 18:16 EST by An. N
Modified: 2009-12-18 02:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:06:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
devices as requested (4.04 KB, text/plain)
2008-12-05 03:25 EST, An. N
no flags Details

  None (edit)
Description An. N 2008-12-02 18:16:13 EST
Description of problem:
When, booting, I get the following messages, with a 5 second lag between lines 1 and 2:

line1: usbcore: registered new interface driver hiddev
line2: drivers/hid/usbhid/hid-core.c: usb_submit_urb(ctrl) failed
line3: usbhid: timeout initializing reports

It seems that it is caused by a standard USB mouse


Version-Release number of selected component (if applicable):
FC10 default

How reproducible:
Always

Steps to Reproduce:
1. Boot the kernel...
2.
3.
  
Actual results:
Booting lags for 5 seconds after line 1

Expected results:
Booting continues smoothly


Additional info:
Comment 1 Pete Zaitcev 2008-12-02 18:20:59 EST
This happens if you unplug and replug the mouse, right?

Please attach the contents of /proc/bus/usb/devices. Probably the
mouse wants a NOGET quirk.
Comment 2 An. N 2008-12-05 03:25:15 EST
This happens upon booting. The messages described appear right after the messages related to the mouse.

I attached the contents of /proc/bus/usb/devices.

When I unplug the mouse the messages described don't appear.
Comment 3 An. N 2008-12-05 03:25:50 EST
Created attachment 325811 [details]
devices as requested
Comment 4 Bug Zapper 2009-11-18 04:37:19 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:06:32 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.